diff -pruN 1.4.1-2/debian/changelog 1.4.2-1/debian/changelog
--- 1.4.1-2/debian/changelog	2018-06-02 09:44:17.000000000 +0000
+++ 1.4.2-1/debian/changelog	2020-11-26 16:03:10.000000000 +0000
@@ -1,3 +1,14 @@
+cl-fiveam (1.4.2-1) unstable; urgency=medium
+
+  * New upstream release
+  * Display more explicit messages for autopkgtest failures
+  * Bump to debhelper 13
+  * Add Rules-Requires-Root: no
+  * Bump to S-V 4.5.1
+  * Disable clisp autopkgtest on ppc64el, it is not reliable
+  
+ -- Sébastien Villemot <sebastien@debian.org>  Thu, 26 Nov 2020 17:03:10 +0100
+
 cl-fiveam (1.4.1-2) unstable; urgency=medium
 
   * Move maintenance to Debian Common Lisp Team.
diff -pruN 1.4.1-2/debian/compat 1.4.2-1/debian/compat
--- 1.4.1-2/debian/compat	2018-06-02 09:08:52.000000000 +0000
+++ 1.4.2-1/debian/compat	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-11
\ No newline at end of file
diff -pruN 1.4.1-2/debian/control 1.4.2-1/debian/control
--- 1.4.1-2/debian/control	2018-06-02 09:43:59.000000000 +0000
+++ 1.4.2-1/debian/control	2020-11-26 16:00:56.000000000 +0000
@@ -3,11 +3,12 @@ Section: lisp
 Priority: optional
 Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper (>= 11~)
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.1
 Homepage: https://common-lisp.net/project/fiveam/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/cl-fiveam.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/cl-fiveam
+Rules-Requires-Root: no
 
 Package: cl-fiveam
 Architecture: all
diff -pruN 1.4.1-2/debian/tests/control 1.4.2-1/debian/tests/control
--- 1.4.1-2/debian/tests/control	2018-06-02 09:33:57.000000000 +0000
+++ 1.4.2-1/debian/tests/control	2020-11-26 16:02:36.000000000 +0000
@@ -9,3 +9,4 @@ Restrictions: allow-stderr
 Test-Command: clisp -norc debian/tests/runtests.lisp
 Depends: @, clisp
 Restrictions: allow-stderr
+Architecture: !ppc64el
diff -pruN 1.4.1-2/debian/tests/runtests.lisp 1.4.2-1/debian/tests/runtests.lisp
--- 1.4.1-2/debian/tests/runtests.lisp	2018-06-02 09:38:01.000000000 +0000
+++ 1.4.2-1/debian/tests/runtests.lisp	2018-06-19 12:53:41.000000000 +0000
@@ -3,5 +3,8 @@
 (let ((asdf:*user-cache* (uiop:getenv "AUTOPKGTEST_TMP"))) ; Store FASL in some temporary dir
   (asdf:load-system "fiveam/test"))
 
-(or (5am:results-status (5am:run :it.bese.fiveam)) ; Can't use ASDF:TEST-SYSTEM, its return value is meaningless
-    (error "Test failure(s)"))
+;; Can't use ASDF:TEST-SYSTEM, its return value is meaningless
+(let ((results (5am:run :it.bese.fiveam)))
+  (5am:explain! results)
+  (unless (5am:results-status results)
+    (uiop:quit 1)))
diff -pruN 1.4.1-2/fiveam.asd 1.4.2-1/fiveam.asd
--- 1.4.1-2/fiveam.asd	2018-02-18 16:16:21.000000000 +0000
+++ 1.4.2-1/fiveam.asd	2020-07-08 08:09:40.000000000 +0000
@@ -1,4 +1,4 @@
-;;;; -*- Mode: Lisp; indent-tabs-mode: nil -*-
+;;;; -*- Mode: LISP; Syntax: Ansi-Common-Lisp; Base: 10; -*-
 
 #.(unless (or #+asdf3.1 (version<= "3.1" (asdf-version)))
     (error "You need ASDF >= 3.1 to load this system correctly."))
diff -pruN 1.4.1-2/src/check.lisp 1.4.2-1/src/check.lisp
--- 1.4.1-2/src/check.lisp	2018-02-18 16:16:21.000000000 +0000
+++ 1.4.2-1/src/check.lisp	2020-07-08 08:09:40.000000000 +0000
@@ -1,4 +1,4 @@
-;;;; -*- Mode: Lisp; indent-tabs-mode: nil -*-
+;;;; -*- Mode: LISP; Syntax: Ansi-Common-Lisp; Package: FIVEAM; Base: 10; -*-
 
 (in-package :it.bese.fiveam)
 
@@ -174,7 +174,7 @@ REASON-ARGS is provided, is generated ba
           ((?predicate ?expected ?actual)
            (process-entry ?predicate ?expected ?actual)
            (setf default-reason-args
-                 (list "~2&~S~2% evaluated to ~2&~S~2% which is not ~2&~S~2% to ~2&~S~2%."
+                 (list "~2&~S~2% evaluated to ~2&~S~2% which is not ~2&~S~2% to ~2&~S~2%"
                        `',?actual a `',?predicate e)))
           ((?satisfies ?value)
            (setf bindings (list (list v ?value))
@@ -242,7 +242,7 @@ REASON-ARGS is provided, is generated ba
 CONDITION. BODY is evaluated in a block named NIL, CONDITION is
 not evaluated."
   (let ((block-name (gensym)))
-    (destructuring-bind (condition &optional reason-control reason-args)
+    (destructuring-bind (condition &optional reason-control &rest reason-args)
         (ensure-list condition-spec)
       `(block ,block-name
          (handler-bind ((,condition (lambda (c)
diff -pruN 1.4.1-2/src/classes.lisp 1.4.2-1/src/classes.lisp
--- 1.4.1-2/src/classes.lisp	2018-02-18 16:16:21.000000000 +0000
+++ 1.4.2-1/src/classes.lisp	2020-07-08 08:09:40.000000000 +0000
@@ -1,4 +1,4 @@
-;;;; -*- Mode: Lisp; indent-tabs-mode: nil -*-
+;;;; -*- Mode: LISP; Syntax: Ansi-Common-Lisp; Package: FIVEAM; Base: 10; -*-
 
 (in-package :it.bese.fiveam)
 
@@ -54,7 +54,11 @@ suite) in the suite."))
   ((test-lambda :initarg :test-lambda :accessor test-lambda
                 :documentation "The function to run.")
    (runtime-package :initarg :runtime-package :accessor runtime-package
-                    :documentation "By default it stores *package* from the time this test was defined (macroexpanded)."))
+                    :documentation "By default it stores *package* from the time this test was defined (macroexpanded).")
+   (test-suite :initarg :test-suite
+               :accessor test-suite
+               :initform nil
+               :documentation "The test-suite associated with this test"))
   (:documentation "A test case is a single, named, collection of
 checks.
 
diff -pruN 1.4.1-2/src/explain.lisp 1.4.2-1/src/explain.lisp
--- 1.4.1-2/src/explain.lisp	2018-02-18 16:16:21.000000000 +0000
+++ 1.4.2-1/src/explain.lisp	2020-07-08 08:09:40.000000000 +0000
@@ -1,4 +1,4 @@
-;;;; -*- Mode: Lisp; indent-tabs-mode: nil -*-
+;;;; -*- Mode: LISP; Syntax: Ansi-Common-Lisp; Package: FIVEAM; Base: 10; -*-
 
 (in-package :it.bese.fiveam)
 
@@ -42,10 +42,14 @@
         (output "Failure Details:~%")
         (dolist (f (reverse failed))
           (output "--------------------------------~%")
-          (output "~A ~@{[~A]~}: ~%"
+          (output "~A ~A~@{[~A]~}: ~%"
                   (name (test-case f))
+                  (let ((suite (name (test-suite (test-case f)))))
+                    (if suite
+                        (format nil "in ~A " suite)
+                        ""))
                   (description (test-case f)))
-          (output "     ~A.~%" (reason f))
+          (output "     ~A~%" (reason f))
           (when (for-all-test-failed-p f)
             (output "Results collected with failure data:~%")
             (explain exp (slot-value f 'result-list)
@@ -60,7 +64,7 @@
           (output "~A ~@{[~A]~}: ~%"
                   (name (test-case f))
                   (description (test-case f)))
-          (output "    ~A.~%" (reason f)))
+          (output "    ~A~%" (reason f)))
         (terpri stream)))))
 
 (defmethod explain ((exp simple-text-explainer) results
diff -pruN 1.4.1-2/src/fixture.lisp 1.4.2-1/src/fixture.lisp
--- 1.4.1-2/src/fixture.lisp	2018-02-18 16:16:21.000000000 +0000
+++ 1.4.2-1/src/fixture.lisp	2020-07-08 08:09:40.000000000 +0000
@@ -1,4 +1,4 @@
-;; -*- lisp -*-
+;;;; -*- Mode: LISP; Syntax: Ansi-Common-Lisp; Package: FIVEAM; Base: 10; -*-
 
 (in-package :it.bese.fiveam)
 
diff -pruN 1.4.1-2/src/package.lisp 1.4.2-1/src/package.lisp
--- 1.4.1-2/src/package.lisp	2018-02-18 16:16:21.000000000 +0000
+++ 1.4.2-1/src/package.lisp	2020-07-08 08:09:40.000000000 +0000
@@ -1,4 +1,4 @@
-;;;; -*- Mode: Lisp; indent-tabs-mode: nil -*-
+;;;; -*- Mode: LISP; Syntax: Ansi-Common-Lisp; Package: CL-USER; Base: 10; -*-
 
 ;;;; * Introduction
 
@@ -29,7 +29,6 @@
    #:def-suite*
    #:in-suite
    #:in-suite*
-   #:make-test
    #:test
    #:def-test
    #:get-test
@@ -37,7 +36,6 @@
    #:test-names
    #:*default-test-compilation-time*
    ;; fixtures
-   #:make-fixture
    #:def-fixture
    #:with-fixture
    #:get-fixture
diff -pruN 1.4.1-2/src/random.lisp 1.4.2-1/src/random.lisp
--- 1.4.1-2/src/random.lisp	2018-02-18 16:16:21.000000000 +0000
+++ 1.4.2-1/src/random.lisp	2020-07-08 08:09:40.000000000 +0000
@@ -1,4 +1,4 @@
-;;;; -*- Mode: Lisp; indent-tabs-mode: nil -*-
+;;;; -*- Mode: LISP; Syntax: Ansi-Common-Lisp; Package: FIVEAM; Base: 10; -*-
 
 (in-package :it.bese.fiveam)
 
diff -pruN 1.4.1-2/src/run.lisp 1.4.2-1/src/run.lisp
--- 1.4.1-2/src/run.lisp	2018-02-18 16:16:21.000000000 +0000
+++ 1.4.2-1/src/run.lisp	2020-07-08 08:09:40.000000000 +0000
@@ -1,4 +1,4 @@
-;;;; -*- Mode: Lisp; indent-tabs-mode: nil -*-
+;;;; -*- Mode: LISP; Syntax: Ansi-Common-Lisp; Package: FIVEAM; Base: 10; -*-
 
 (in-package :it.bese.fiveam)
 
diff -pruN 1.4.1-2/src/suite.lisp 1.4.2-1/src/suite.lisp
--- 1.4.1-2/src/suite.lisp	2018-02-18 16:16:21.000000000 +0000
+++ 1.4.2-1/src/suite.lisp	2020-07-08 08:09:40.000000000 +0000
@@ -1,4 +1,4 @@
-;;;; -*- Mode: Lisp; indent-tabs-mode: nil -*-
+;;;; -*- Mode: LISP; Syntax: Ansi-Common-Lisp; Package: FIVEAM; Base: 10; -*-
 
 (in-package :it.bese.fiveam)
 
@@ -18,6 +18,8 @@
 
 (defvar *suite* nil
   "The current test suite object")
+;; Only when compiling under ASDF, not under Bazel.
+#-bazel
 (net.didierverna.asdf-flv:set-file-local-variable *suite*)
 
 ;;;; ** Creating Suits
@@ -57,7 +59,6 @@ Overrides any existing suite named NAME.
     (when description
       (setf (description suite) description))
     (when (and name
-               (null (name *suite*))
                (null parent-suite))
       (pushnew name *toplevel-suites*))
     (loop for i in (ensure-list parent-suite)
diff -pruN 1.4.1-2/src/test.lisp 1.4.2-1/src/test.lisp
--- 1.4.1-2/src/test.lisp	2018-02-18 16:16:21.000000000 +0000
+++ 1.4.2-1/src/test.lisp	2020-07-08 08:09:40.000000000 +0000
@@ -1,4 +1,4 @@
-;;;; -*- Mode: Lisp; indent-tabs-mode: nil -*-
+;;;; -*- Mode: LISP; Syntax: Ansi-Common-Lisp; Package: FIVEAM; Base: 10; -*-
 
 (in-package :it.bese.fiveam)
 
@@ -130,7 +130,8 @@ If PROFILE is T profiling information wi
                                  (:definition-time body))))
                          :description description
                          :depends-on depends-on
-                         :collect-profiling-info profile))
+                         :collect-profiling-info profile
+                         :test-suite suite))
     (setf (gethash name (tests suite)) name)))
 
 (defvar *run-test-when-defined* nil
diff -pruN 1.4.1-2/src/utils.lisp 1.4.2-1/src/utils.lisp
--- 1.4.1-2/src/utils.lisp	2018-02-18 16:16:21.000000000 +0000
+++ 1.4.2-1/src/utils.lisp	2020-07-08 08:09:40.000000000 +0000
@@ -1,4 +1,4 @@
-;;;; -*- Mode: Lisp; indent-tabs-mode: nil -*-
+;;;; -*- Mode: LISP; Syntax: Ansi-Common-Lisp; Package: FIVEAM; Base: 10; -*-
 
 (in-package :it.bese.fiveam)
 
diff -pruN 1.4.1-2/t/tests.lisp 1.4.2-1/t/tests.lisp
--- 1.4.1-2/t/tests.lisp	2018-02-18 16:16:21.000000000 +0000
+++ 1.4.2-1/t/tests.lisp	2020-07-08 08:09:40.000000000 +0000
@@ -1,4 +1,4 @@
-;;;; -*- Mode: Lisp; indent-tabs-mode: nil -*-
+;;;; -*- Mode: LISP; Syntax: Ansi-Common-Lisp; Package: FIVEAM; Base: 10; -*-
 
 (in-package :it.bese.fiveam)
 
@@ -42,6 +42,9 @@
 (def-test signals/finishes ()
   (signals error
     (error "an error"))
+  (signals (error "The form ~S is expected to signal an ~S"
+                  '(error "an error") 'error)
+    (error "an error"))
   (finishes
    (signals error
     (error "an error"))))
@@ -129,7 +132,7 @@
     (is (= 2 (length (remove-if-not #'test-passed-p results))))
     (is (= 1 (length (remove-if-not #'test-failure-p results))))))
 
-(def-test circular-0 (:depends-on (and circular-1 circular-2 or1) 
+(def-test circular-0 (:depends-on (and circular-1 circular-2 or1)
                       :suite test-suite)
   (fail "we depend on a circular dependency, we should not be tested."))
 
@@ -187,7 +190,7 @@
 (def-test before ()
   (with-test-results (results before-test-suite)
     (is (some #'test-skipped-p results)))
-  
+
   (with-test-results (results before-test-suite-2)
     (is (every #'test-passed-p results))))
 
@@ -278,3 +281,10 @@
 
   (is-false (with-*test-dribble* nil (explain! (run 'is2))))
   (is-false (with-*test-dribble* nil (run! 'is2))))
+
+(def-test dont-discard-suite ()
+  (let ((*suite* (make-suite 'nil))
+        (*toplevel-suites* nil))
+    (def-suite* :one-test-suite)
+    (def-suite* :two-test-suite)
+    (is (= 2 (length *toplevel-suites*)))))
diff -pruN 1.4.1-2/.travis.yml 1.4.2-1/.travis.yml
--- 1.4.1-2/.travis.yml	2018-02-18 16:16:21.000000000 +0000
+++ 1.4.2-1/.travis.yml	2020-07-08 08:09:40.000000000 +0000
@@ -1,20 +1,24 @@
-language: lisp
+os: linux
+dist: bionic
+language: generic
 
 env:
-  matrix:
+  jobs:
+    - LISP=sbcl
+    - LISP=ccl
+    - LISP=ecl
     - LISP=abcl
     - LISP=allegro
-    - LISP=ccl
     - LISP=ccl32
-    - LISP=ecl
-    - LISP=sbcl
     - LISP=sbcl32
     - LISP=cmucl
 
-matrix:
+jobs:
   allow_failures:
     - env: LISP=allegro
+    - env: LISP=ccl32
     - env: LISP=cmucl
+    - env: LISP=sbcl32
 
 notifications:
   email:
@@ -30,15 +34,8 @@ notifications:
 
 install:
   - curl -L https://raw.githubusercontent.com/sionescu/cl-travis/master/install.sh | sh
-  - cl -e "(cl:in-package :cl-user)
-           (dolist (p '(:alexandria))
-             (ql:quickload p :verbose t))"
 
 script:
-  - cl -e "(cl:in-package :cl-user)
+  - cl -e "(prin1 (lisp-implementation-type)) (terpri) (prin1 (lisp-implementation-version)) (terpri)
            (ql:quickload :fiveam/test :verbose t)
-           (uiop:quit (if (some (lambda (x) (typep x '5am::test-failure))
-                                (5am:run :it.bese.fiveam))
-                          1 0))"
-
-sudo: required
+           (uiop:quit (if (5am:run! :it.bese.fiveam) 0 -1))"
diff -pruN 1.4.1-2/version.sexp 1.4.2-1/version.sexp
--- 1.4.1-2/version.sexp	2018-02-18 16:16:21.000000000 +0000
+++ 1.4.2-1/version.sexp	2020-07-08 08:09:40.000000000 +0000
@@ -1,2 +1,2 @@
 ;; -*- lisp -*-
-"1.4.1"
+"1.4.2"
